using System;
using System.Data;
using System.Text;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Default : System.Web.UI.Page 
{

    protected void Page_Load(object sender, EventArgs e)
    {
        RenderForm();
    }

    /// <summary>
    /// This function creates the complete page dynamically and transmites the URL of 
    /// the response page (HTTPResponse.aspx) via the parameter 'flashvars' to the Gallery
    /// 
    /// (The page HTTPResponse.aspx provides to the Gallery the requested XML configuration 
    /// file as a stream in an HTTP response.)
    /// 
    /// *******************************************
    /// Important: Set Default.aspx as startpage! 
    /// *******************************************
    /// 
    /// </summary>
    private void RenderForm()
    {
       
        string sMovieName = "3dgalleryv2.swf";
        string sMovieId = "3dgalleryv2";
        string sFlashVersion = "9.0.115.0";
        string sWMode = "opaque";
        string sSWFPath = Page.ResolveUrl("~/swfobject.js");

        string sFlashWidth = "600";
        string sFlashHeight = "270";
        string sFlashBgColor = "#ffffff";

        string sFlashQuality = "high";
        string sFlashScale = "noscale";
        string sFlashMenu = "false";
        string sFlashSAlign = "lt";
        string sScriptAccess = "always";
       
        //---------------------------------------------------------------------------------
        // Create a string concatenated with the URL of your HTTP-Response page (e.g HTTPResponse.aspx)
        //
        // You can add as many parameters to the URL as you like. On the basis of these 
        // parameters, HTTPResonse.aspx can later create dynamically the XML configuration file.
        //
        // "responseurl="
        // The key "responseurl =" must be put in front of the URL of the HTTPResponse Page. It is via 
        // this key that the Flash animation selects the URL from the flashvars. 
        // e.g. responseurl=/CSharp_Sample3_HTTPResponse/HTTPResponse.aspx?dataid=12345x987 
        //---------------------------------------------------------------------------------
        Random random = new Random(); //prevent IE caching
        string sFlashVars = String.Concat("responseurl=", Page.ResolveUrl("~/HTTPResponse.aspx"), "?dataid=12345x", random.Next(1000).ToString());


        //---------------------------------------------------------------------------------
        // Include Scripts (http://blog.deconcept.com/swfobject/)
        //---------------------------------------------------------------------------------
        //Register SWFObject embed script
        Page.ClientScript.RegisterClientScriptInclude(this.GetType(), "embedscript", sSWFPath);

        //Create a new SWFObject and pass in the required parameters
        System.Text.StringBuilder sb = new StringBuilder();
        sb.Append(@" var so = new SWFObject(");
        sb.Append(@""""); sb.Append(sMovieName); sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sMovieId); sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sFlashWidth); sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sFlashHeight); sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sFlashVersion); sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sFlashBgColor); sb.Append(@"""");
        sb.Append(@"); ");
        //Additional parameters
        sb.Append(@"so.addParam(""quality"", """); sb.Append(sFlashQuality); sb.Append(@"""); ");
        sb.Append(@"so.addParam(""scale"", """); sb.Append(sFlashScale); sb.Append(@"""); ");
        sb.Append(@"so.addParam(""menu"", """); sb.Append(sFlashMenu); sb.Append(@"""); ");
        sb.Append(@"so.addParam(""salign"", """); sb.Append(sFlashSAlign); sb.Append(@"""); ");
        sb.Append(@"so.addParam(""wmode"", """); sb.Append(sWMode); sb.Append(@"""); ");
        sb.Append(@"so.addParam(""allowScriptAccess"", """); sb.Append(sScriptAccess); sb.Append(@"""); ");
        sb.Append(@"so.addParam(""flashvars"", """); sb.Append(sFlashVars); sb.Append(@"""); ");
        sb.Append(@"so.write(""flashcontent""); ");
        //Register SWFObject definition
        Page.ClientScript.RegisterStartupScript(this.GetType(), "RenderForm", sb.ToString(), true);

        //---------------------------------------------------------------------------------
        // Add HTML to placeholder
        //---------------------------------------------------------------------------------
        sb = new StringBuilder();
        sb.Append(@"<div id=""flashcontent"" >");
        sb.Append(@"<center><a target=""_blank"" href=""http://www.macromedia.com/go/getflash/"" >");
        sb.Append(@"<img border=""0"" alt="""" src=""images/getflash.png"" />");
        sb.Append(@"</a></center>");
        sb.Append(@"</div>");

        System.Web.UI.HtmlControls.HtmlGenericControl htmlGenericControl = new System.Web.UI.HtmlControls.HtmlGenericControl();
        htmlGenericControl.InnerHtml = sb.ToString();
        this.placeHolderAnimation.Controls.Clear();
        this.placeHolderAnimation.Controls.Add(htmlGenericControl);
    }
}
