﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Text;

public partial class HTTPResponse : System.Web.UI.Page
{
    public void Page_Load(object sender, EventArgs e)
    {
        int iDataId = 0;
        try
        {
            if(Request.QueryString["dataid"].Contains("x"))
            {
                iDataId = Convert.ToInt32(Request.QueryString["dataid"].Substring(0, Request.QueryString["dataid"].IndexOf("x")));
            }
            else
            {
                iDataId = Convert.ToInt32(Request.QueryString["dataid"]);
            }
        }
        catch
        {
            return;
        }

        //Get xml configuration file from "datalayer"
        string sResponse = GetXMLString(iDataId);
        
        ////Save string to the hard disk for control.
        //System.IO.StreamWriter streamWriter = new System.IO.StreamWriter(@"c:\3dgallery.xml");
        //streamWriter.Write(sResponse);
        //streamWriter.Close();

        //Write the XML to the HTTP output stream
        //=> back to the Gallery Animation
        Response.Write(sResponse);  

    }

    /// <summary>
    /// This function provides to the Gallery the requested XML configuration file as a string.
    /// </summary>
    /// <param name="iDataId"></param>
    public string GetXMLString(int iDataId)
    {
        //select dynamic data from datalayer here ...
        //e.g. DataLayer.GetData(iDataId)

        //-------------------------------------------------------------------------------------
        //Hardcoded sample !!!!
        //-------------------------------------------------------------------------------------
        int iGalleryRadius = 500;
        int iGalleryFocus = 350;
        int iGalleryPerspective = 0;
        int iGallerySpeed = 6;
        int iGalleryCenterTop = 20;
        int iGalleryRandomImages = 0;
        
        string sNavigationType = "auto";
	    string sNavigationButtonsColor = "#ff0000";
	    int iNavigationButtonsAlpha = 75;
	    int iNavigationButtonLeftLeft = 0;
	    int iNavigationButtonLeftTop = 0;
	    int iNavigationButtonRightLeft = 0;
        int iNavigationButtonRightTop = 0;

        bool fBackGroundVisible = true;
        string sBackGroundPath = "images/background.jpg"; //Relative Path for the image!!!
        int iBackGroundLeft = 0;
        int iBackGroundTop = 0;

        bool fReflectionVisible = true;
        int iReflectionAlpha = 30;
        int iReflectionHeight = 70;
        int iReflectionDistance = 0;

        bool fHoverGlowEnabled = false;
	    string sHoverGlowColor = "#ff0000";
	    int iHoverGlowAlpha = 100;
	    int iHoverGlowBlur = 32;
	    int iHoverGlowStength = 2;
	    int iHoverGlowQuality = 3;
	    
        bool fHoverRotationEnabled = true;
	    int iHoverRotationSpeed = 17;
	    int iHoverRotationRadians = 180;
	    
        bool fHoverZoomEnabled = false;
        int iHoverZoomRate = 5;

        bool fContent1HTML = false;
        bool fContent1AntiAliasing = false;
        string sContent1Align = "left";
        bool fContent1Bold = false;
        bool fContent1Italic = false;
        string sContent1Font = "Verdana";
        string sContent1FontColor = "#999999";
        int iContent1FontSize = 11;
        int iContent1Leading = 0;
        bool fContent1Underline = false;
        int iContent1Left = 30;
        int iContent1Top = 10;
        int iContent1Width = 200;
        int iContent1Height = 50;
        bool fContent1TopMost = true;
        bool fContent1Border = false;
        string sContent1BorderColor = "#333333";
        string sContent1BgColor = "";
        
        bool fContent2HTML = false;
        bool fContent2AntiAliasing = false;
        string sContent2Align = "justify";
        bool fContent2Bold = false;
        bool fContent2Italic = false;
        string sContent2Font = "Verdana";
        string sContent2FontColor = "#999999";
        int iContent2FontSize = 11;
        int iContent2Leading = 0;
        bool fContent2Underline = false;
        int iContent2Left = 280;
        int iContent2Top = 10;
        int iContent2Width = 400;
        int iContent2Height = 50;
        bool fContent2TopMost = true;
        bool fContent2Border = false;
        string sContent2BorderColor = "#333333";
        string sContent2BgColor = "";

        string sContent3 = "mediaANT 3DCarousel";
        bool fContent3HTML = false;
        bool fContent3AntiAliasing = false;
        string sContent3Align = "left";
        bool fContent3Bold = false;
        bool fContent3Italic = false;
        string sContent3Font = "Verdana";
        string sContent3FontColor = "#999999";
        int iContent3FontSize = 12;
        int iContent3Leading = 0;
        bool fContent3Underline = false;
        int iContent3Left = 20;
        int iContent3Top = 220;
        int iContent3Height = 30;
        int iContent3Width = 150;
        bool fContent3TopMost = true;
        bool fContent3Border = false;
        string sContent3BorderColor = "#333333";
        string sContent3BgColor = "";

        string sContent4 = "C# Sample 3";
        bool fContent4HTML = false;
        bool fContent4AntiAliasing = false;
        string sContent4Align = "left";
        bool fContent4Bold = false;
        bool fContent4Italic = false;
        string sContent4Font = "Verdana";
        string sContent4FontColor = "#999999";
        int iContent4FontSize = 12;
        int iContent4Leading = 0;
        bool fContent4Underline = false;
        int iContent4Left = 580;
        int iContent4Top = 220;
        int iContent4Height = 30;
        int iContent4Width = 130;
        bool fContent4TopMost = true;
        bool fContent4Border = false;
        string sContent4BorderColor = "#333333";
        string sContent4BgColor = "";


        StringBuilder oSB = new StringBuilder();
        oSB.Append(@"<?xml version=""1.0"" encoding=""utf-8"" ?>");
        oSB.Append(@"<DDDGallery><Images ");

        oSB.Append(@"GalleryRadius=""");        oSB.Append(iGalleryRadius.ToString());          oSB.Append(@""" ");
        oSB.Append(@"GalleryFocus=""");         oSB.Append(iGalleryFocus.ToString());           oSB.Append(@""" ");
        oSB.Append(@"GalleryPerspective=""");   oSB.Append(iGalleryPerspective.ToString());     oSB.Append(@""" ");
        oSB.Append(@"GallerySpeed=""");         oSB.Append(iGallerySpeed.ToString());           oSB.Append(@""" ");
        oSB.Append(@"GalleryCenterTop=""");     oSB.Append(iGalleryCenterTop.ToString());       oSB.Append(@""" ");
        oSB.Append(@"GalleryRandomImages=""");  oSB.Append(iGalleryRandomImages.ToString());    oSB.Append(@""" ");

        oSB.Append(@"NavigationType=""");              oSB.Append(sNavigationType);             oSB.Append(@""" ");
        oSB.Append(@"NavigationButtonsColor=""");      oSB.Append(sNavigationButtonsColor);     oSB.Append(@""" ");
        oSB.Append(@"NavigationButtonsAlpha=""");      oSB.Append(iNavigationButtonsAlpha);     oSB.Append(@""" ");
        oSB.Append(@"NavigationButtonLeftLeft=""");    oSB.Append(iNavigationButtonLeftLeft);   oSB.Append(@""" ");
        oSB.Append(@"NavigationButtonLeftTop=""");     oSB.Append(iNavigationButtonLeftTop);    oSB.Append(@""" ");
        oSB.Append(@"NavigationButtonRightLeft=""");   oSB.Append(iNavigationButtonRightLeft);  oSB.Append(@""" ");
        oSB.Append(@"NavigationButtonRightTop=""");    oSB.Append(iNavigationButtonRightTop);   oSB.Append(@""" ");

        oSB.Append(@"BackGroundVisible=""");    oSB.Append(fBackGroundVisible.ToString());  oSB.Append(@""" ");
        oSB.Append(@"BackGroundPath=""");       oSB.Append(sBackGroundPath);                oSB.Append(@""" ");
        oSB.Append(@"BackGroundTop=""");        oSB.Append(iBackGroundTop.ToString());      oSB.Append(@""" ");
        oSB.Append(@"BackGroundLeft=""");       oSB.Append(iBackGroundLeft.ToString());     oSB.Append(@""" ");

        oSB.Append(@"ReflectionVisible=""");    oSB.Append(fReflectionVisible.ToString());  oSB.Append(@""" ");
        oSB.Append(@"ReflectionAlpha=""");      oSB.Append(iReflectionAlpha.ToString());    oSB.Append(@""" ");
        oSB.Append(@"ReflectionHeight=""");     oSB.Append(iReflectionHeight.ToString());   oSB.Append(@""" ");
        oSB.Append(@"ReflectionDistance=""");   oSB.Append(iReflectionDistance.ToString()); oSB.Append(@""" ");

        oSB.Append(@"HoverGlowEnabled=""");     oSB.Append(fHoverGlowEnabled.ToString());   oSB.Append(@""" ");
        oSB.Append(@"HoverGlowColor=""");       oSB.Append(sHoverGlowColor.ToString());     oSB.Append(@""" ");
        oSB.Append(@"HoverGlowAlpha=""");       oSB.Append(iHoverGlowAlpha.ToString());     oSB.Append(@""" ");
        oSB.Append(@"HoverGlowBlur=""");        oSB.Append(iHoverGlowBlur.ToString());      oSB.Append(@""" ");
        oSB.Append(@"HoverGlowStength=""");     oSB.Append(iHoverGlowStength.ToString());   oSB.Append(@""" ");
        oSB.Append(@"HoverGlowQuality=""");     oSB.Append(iHoverGlowQuality.ToString());   oSB.Append(@""" ");

        oSB.Append(@"HoverRotationEnabled="""); oSB.Append(fHoverRotationEnabled.ToString());   oSB.Append(@""" ");
        oSB.Append(@"HoverRotationSpeed=""");   oSB.Append(iHoverRotationSpeed.ToString());     oSB.Append(@""" ");
        oSB.Append(@"HoverRotationRadians="""); oSB.Append(iHoverRotationRadians.ToString());   oSB.Append(@""" ");

        oSB.Append(@"HoverZoomEnabled=""");     oSB.Append(fHoverZoomEnabled.ToString());       oSB.Append(@""" ");
        oSB.Append(@"HoverZoomRate=""");        oSB.Append(iHoverZoomRate.ToString());          oSB.Append(@""" ");

        oSB.Append(@"Content1HTML=""");         oSB.Append(fContent1HTML.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Content1AntiAliasing="""); oSB.Append(fContent1AntiAliasing.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Content1Align=""");        oSB.Append(sContent1Align);                     oSB.Append(@""" ");
        oSB.Append(@"Content1Bold=""");         oSB.Append(fContent1Bold.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Content1Italic=""");       oSB.Append(fContent1Italic.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Content1Font=""");         oSB.Append(sContent1Font);                      oSB.Append(@""" ");
        oSB.Append(@"Content1FontColor=""");    oSB.Append(sContent1FontColor);                 oSB.Append(@""" ");
        oSB.Append(@"Content1FontSize=""");     oSB.Append(iContent1FontSize.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content1Leading=""");      oSB.Append(iContent1Leading.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Content1Underline=""");    oSB.Append(fContent1Underline.ToString());      oSB.Append(@""" ");
        oSB.Append(@"Content1Left=""");         oSB.Append(iContent1Left.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Content1Top=""");          oSB.Append(iContent1Top.ToString());            oSB.Append(@""" ");
        oSB.Append(@"Content1Width=""");        oSB.Append(iContent1Width.ToString());          oSB.Append(@""" ");
        oSB.Append(@"Content1Height=""");       oSB.Append(iContent1Height.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Content1TopMost=""");      oSB.Append(fContent1TopMost.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Content1Border=""");       oSB.Append(fContent1Border.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Content1BorderColor=""");  oSB.Append(sContent1BorderColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Content1BgColor=""");      oSB.Append(sContent1BgColor.ToString());        oSB.Append(@""" ");

        oSB.Append(@"Content2HTML=""");         oSB.Append(fContent2HTML.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Content2AntiAliasing="""); oSB.Append(fContent2AntiAliasing.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Content2Align=""");        oSB.Append(sContent2Align);                     oSB.Append(@""" ");
        oSB.Append(@"Content2Bold=""");         oSB.Append(fContent2Bold.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Content2Italic=""");       oSB.Append(fContent2Italic.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Content2Font=""");         oSB.Append(sContent2Font);                      oSB.Append(@""" ");
        oSB.Append(@"Content2FontColor=""");    oSB.Append(sContent2FontColor);                 oSB.Append(@""" ");
        oSB.Append(@"Content2FontSize=""");     oSB.Append(iContent2FontSize.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Content2Leading=""");      oSB.Append(iContent2Leading.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Content2Underline=""");    oSB.Append(fContent2Underline.ToString());      oSB.Append(@""" ");
        oSB.Append(@"Content2Left=""");         oSB.Append(iContent2Left.ToString());           oSB.Append(@""" ");
        oSB.Append(@"Content2Top=""");          oSB.Append(iContent2Top.ToString());            oSB.Append(@""" ");
        oSB.Append(@"Content2Width=""");        oSB.Append(iContent2Width.ToString());          oSB.Append(@""" ");
        oSB.Append(@"Content2Height=""");       oSB.Append(iContent2Height.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Content2TopMost=""");      oSB.Append(fContent2TopMost.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Content2Border=""");       oSB.Append(fContent2Border.ToString());         oSB.Append(@""" ");
        oSB.Append(@"Content2BorderColor=""");  oSB.Append(sContent2BorderColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Content2BgColor=""");      oSB.Append(sContent2BgColor.ToString());        oSB.Append(@""" ");

        oSB.Append(@">");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img01.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum no dicat phaedrum explicari eos!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Clita dictas te puto eloquentiam quo. Tantas volumus indoctum ex has, ea quis utamur iuvaret vix. Vidit error vel an, aeque rationibus an vim.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img02.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum noluisse forensibus has eu, quem!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Vix sanctus expetendis definitiones no, labores euripidis mnesarchum ea his, volumus percipit pertinax in pri. Aeque ludus laoreet te usu ut.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img03.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum ea meliore adipisci democritum nec!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Alii nemore tractatos pro in. Qui ad nullam moderatius contentiones, ludus laoreet ne possit invidunt voluptatum nam, cu mei iusto offendit.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img04.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum diceret at duo, option democritum ex!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Duo maiestatis vituperatoribus interesset in, usu elitr graeco putant te, persius eruditi utroque cum an. Timeam consulatu id mel, suas sale an.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img05.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum argumentum delicatissimi cum ut ipsum!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Id sit facilisi pertinacia argumentum, ne eleifend sapientem adipiscing mea, ut sit tantas soleat. Laoreet voluptua contentiones eos cu vidit.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img06.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum no dicat phaedrum explicari eos!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Clita dictas te puto eloquentiam quo. Tantas volumus indoctum ex has, ea quis utamur iuvaret vix. Vidit error vel an, aeque rationibus an vim.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img07.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum noluisse forensibus has eu, quem!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Vix sanctus expetendis definitiones no, labores euripidis mnesarchum ea his, volumus percipit pertinax in pri. Aeque ludus laoreet te usu ut.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img08.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum ea meliore adipisci democritum nec!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Alii nemore tractatos pro in. Qui ad nullam moderatius contentiones, ludus laoreet ne possit invidunt voluptatum nam, cu mei iusto offendit.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img09.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum diceret at duo, option democritum ex!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Duo maiestatis vituperatoribus interesset in, usu elitr graeco putant te, persius eruditi utroque cum an. Timeam consulatu id mel, suas sale an.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img10.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum argumentum delicatissimi cum ut ipsum!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Id sit facilisi pertinacia argumentum, ne eleifend sapientem adipiscing mea, ut sit tantas soleat. Laoreet voluptua contentiones eos cu vidit.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img11.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum no dicat phaedrum explicari eos!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Clita dictas te puto eloquentiam quo. Tantas volumus indoctum ex has, ea quis utamur iuvaret vix. Vidit error vel an, aeque rationibus an vim.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img12.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum noluisse forensibus has eu, quem!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Vix sanctus expetendis definitiones no, labores euripidis mnesarchum ea his, volumus percipit pertinax in pri. Aeque ludus laoreet te usu ut.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img13.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum ea meliore adipisci democritum nec!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Alii nemore tractatos pro in. Qui ad nullam moderatius contentiones, ludus laoreet ne possit invidunt voluptatum nam, cu mei iusto offendit.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img14.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum diceret at duo, option democritum ex!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Duo maiestatis vituperatoribus interesset in, usu elitr graeco putant te, persius eruditi utroque cum an. Timeam consulatu id mel, suas sale an.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img15.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum argumentum delicatissimi cum ut ipsum!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Id sit facilisi pertinacia argumentum, ne eleifend sapientem adipiscing mea, ut sit tantas soleat. Laoreet voluptua contentiones eos cu vidit.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img16.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum no dicat phaedrum explicari eos!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Clita dictas te puto eloquentiam quo. Tantas volumus indoctum ex has, ea quis utamur iuvaret vix. Vidit error vel an, aeque rationibus an vim.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img17.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum noluisse forensibus has eu, quem!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Vix sanctus expetendis definitiones no, labores euripidis mnesarchum ea his, volumus percipit pertinax in pri. Aeque ludus laoreet te usu ut.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img18.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum ea meliore adipisci democritum nec!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Alii nemore tractatos pro in. Qui ad nullam moderatius contentiones, ludus laoreet ne possit invidunt voluptatum nam, cu mei iusto offendit.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img19.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum diceret at duo, option democritum ex!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Duo maiestatis vituperatoribus interesset in, usu elitr graeco putant te, persius eruditi utroque cum an. Timeam consulatu id mel, suas sale an.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"<Image>");
        oSB.Append(@"<ImagePath><![CDATA[images/img20.png]]></ImagePath>");  //Relative Path for the image!!!
        oSB.Append(@"<ImageLink><![CDATA[http://www.3dcarousel.com]]></ImageLink>");
        oSB.Append(@"<ImageLinkTarget><![CDATA[_blank]]></ImageLinkTarget>");
        oSB.Append(@"<Content1><![CDATA[Lorem ipsum argumentum delicatissimi cum ut ipsum!]]></Content1>");
        oSB.Append(@"<Content2><![CDATA[Id sit facilisi pertinacia argumentum, ne eleifend sapientem adipiscing mea, ut sit tantas soleat. Laoreet voluptua contentiones eos cu vidit.]]></Content2>");
        oSB.Append(@"</Image>");

        oSB.Append(@"</Images>");

        oSB.Append(@"<StaticContents>");
        oSB.Append(@"<StaticContent ");
        oSB.Append(@"HTML=""");         oSB.Append(fContent3HTML.ToString());       oSB.Append(@""" ");
        oSB.Append(@"AntiAliasing="""); oSB.Append(fContent3AntiAliasing.ToString()); oSB.Append(@""" ");
        oSB.Append(@"Align=""");        oSB.Append(sContent3Align);                 oSB.Append(@""" ");
        oSB.Append(@"Bold=""");         oSB.Append(fContent3Bold.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Italic=""");       oSB.Append(fContent3Italic.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Font=""");         oSB.Append(sContent3Font.ToString());       oSB.Append(@""" ");
        oSB.Append(@"FontColor=""");    oSB.Append(sContent3FontColor.ToString());  oSB.Append(@""" ");
        oSB.Append(@"FontSize=""");     oSB.Append(iContent3FontSize.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Leading=""");      oSB.Append(iContent3Leading.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Left=""");         oSB.Append(iContent3Left.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Top=""");          oSB.Append(iContent3Top.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Underline=""");    oSB.Append(fContent3Underline.ToString());  oSB.Append(@""" ");
        oSB.Append(@"BgColor=""");      oSB.Append(sContent3BgColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Height=""");       oSB.Append(iContent3Height.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Width=""");        oSB.Append(iContent3Width.ToString());      oSB.Append(@""" ");
        oSB.Append(@"TopMost=""");      oSB.Append(fContent3TopMost.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Border=""");       oSB.Append(fContent3Border.ToString());     oSB.Append(@""" ");
        oSB.Append(@"BorderColor=""");  oSB.Append(sContent3BorderColor.ToString()); oSB.Append(@""" ");
        oSB.Append(@">");
        oSB.Append(@"<Content><![CDATA["); oSB.Append(sContent3.ToString());        oSB.Append(@"]]></Content>");
        oSB.Append(@"</StaticContent>");

        oSB.Append(@"<StaticContent ");
        oSB.Append(@"HTML=""");         oSB.Append(fContent4HTML.ToString());       oSB.Append(@""" ");
        oSB.Append(@"AntiAliasing="""); oSB.Append(fContent4AntiAliasing.ToString()); oSB.Append(@""" ");
        oSB.Append(@"Align=""");        oSB.Append(sContent4Align);                 oSB.Append(@""" ");
        oSB.Append(@"Bold=""");         oSB.Append(fContent4Bold.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Italic=""");       oSB.Append(fContent4Italic.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Font=""");         oSB.Append(sContent4Font.ToString());       oSB.Append(@""" ");
        oSB.Append(@"FontColor=""");    oSB.Append(sContent4FontColor.ToString());  oSB.Append(@""" ");
        oSB.Append(@"FontSize=""");     oSB.Append(iContent4FontSize.ToString());   oSB.Append(@""" ");
        oSB.Append(@"Leading=""");      oSB.Append(iContent4Leading.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Left=""");         oSB.Append(iContent4Left.ToString());       oSB.Append(@""" ");
        oSB.Append(@"Top=""");          oSB.Append(iContent4Top.ToString());        oSB.Append(@""" ");
        oSB.Append(@"Underline=""");    oSB.Append(fContent4Underline.ToString());  oSB.Append(@""" ");
        oSB.Append(@"BgColor=""");      oSB.Append(sContent4BgColor.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Height=""");       oSB.Append(iContent4Height.ToString());     oSB.Append(@""" ");
        oSB.Append(@"Width=""");        oSB.Append(iContent4Width.ToString());      oSB.Append(@""" ");
        oSB.Append(@"TopMost=""");      oSB.Append(fContent4TopMost.ToString());    oSB.Append(@""" ");
        oSB.Append(@"Border=""");       oSB.Append(fContent4Border.ToString());     oSB.Append(@""" ");
        oSB.Append(@"BorderColor=""");  oSB.Append(sContent4BorderColor.ToString()); oSB.Append(@""" ");
        oSB.Append(@">");
        oSB.Append(@"<Content><![CDATA["); oSB.Append(sContent4.ToString());        oSB.Append(@"]]></Content>");
        oSB.Append(@"</StaticContent>");

        oSB.Append(@"</StaticContents>");

        oSB.Append(@"</DDDGallery>");


        //Return the XML Configuration File
        return oSB.ToString();
        
    }
}
